import request from '@/utils/request'

// 班级管理列表
export function getClassListApi(query) {
    return request({
        url: '/sc/class/ht/list',
        method: 'get',
        params: query
    })
}
// 班级管理-新增
export function addClassApi(data) {
    return request({
        url: '/sc/class/ht',
        method: 'post',
        data: data
    })
}
// 班级管理-详情
export function classDetailsApi(id) {
    return request({
        url: `/sc/class/ht/${id}`,
        method: 'get',
    })
}
// 班级管理-编辑
export function updateClassApi(data) {
    return request({
        url: '/sc/class/ht',
        method: 'put',
        data: data
    })
}
// 班级管理-删除
export function deleteClassApi(ids) {
    return request({
        url: `/sc/class/ht/${ids}`,
        method: 'delete',
    })
}
// 班级管理-查询班级学生
export function getStudentsByClassApi(query) {
    return request({
        url: '/sc/stu/ht/list',
        method: 'get',
        params: query
    })
}